Update a Payment Link
Activates or deactivates a payment link by its ID. Set active to false to stop customers using its public URL. Only links with status open can be reactivated.
You can also manage payment links in the Merchant Dashboard.
Related guide: Payment Links
Path Parameters
- Type: stringidmax length:200required
Body·
required
application/json
Request parameters for updating a payment link.
- Type: booleanactive
Whether the payment link's public URL is active. Only links with status
opencan be reactivated.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/payment-links/{id}
curl 'https://api.paypercut.io/v1/payment-links/{id}' \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"active": false
}'
{
"id": "string",
"created": "2026-10-02T06:37:26.639Z",
"amount": 2000,
"currency": {
"iso": "usd",
"scale": 2
},
"status": "draft",
"active": true,
"url": "string",
"expires_at": null,
"livemode": true,
"customer": "01K755J9SV2364REVHB915Z2FW",
"on_behalf_of": null,
"payment_method_configuration": null,
"payment_method_types": [
"card"
],
"billing_address_collection": "auto",
"line_items": [
{
"quantity": 2,
"price": "01K755J9SV2364REVHB915Z2FW",
"price_data": {
"active": true,
"billing_scheme": "per_unit",
"created": 1,
"currency": "string",
"livemode": true,
"lookup_key": null,
"product": "01K755J9SV2364REVHB915Z2FW",
"product_data": {
"active": true,
"name": "string",
"description": "string",
"unit_label": "string",
"id": "string"
},
"recurring": {
"interval": "daily",
"interval_count": 1,
"meter": null,
"usage_type": "licensed"
},
"type": "one_time",
"unit_amount": null,
"unit_amount_decimal": null,
"id": "string"
},
"metadata": {
"additionalProperty": "string"
}
}
],
"redirect_url": null,
"client_reference_id": null,
"client_customer_id": null,
"description": null,
"after_completion": {
"type": "redirect",
"redirect": {
"url": "https://example.com"
},
"hosted": {
"custom_message": "string"
}
},
"mode": "payment",
"restrictions": {
"completed_sessions": {
"count": 1,
"limit": 1
}
},
"locale": "auto"
}
